From 109283ab827ad6c760ed6cbf297b634cf5065a40 Mon Sep 17 00:00:00 2001
From: "Bradford D. Boyle" <bradford.d.boyle@gmail.com>
Date: Tue, 21 Jan 2025 22:39:22 -0800
Subject: [PATCH] Add pgbouncer tweaks for older dists

---
 jenkins/generate-pgdg-source | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/jenkins/generate-pgdg-source b/jenkins/generate-pgdg-source
index 0e04215..4de15a8 100755
--- a/jenkins/generate-pgdg-source
+++ b/jenkins/generate-pgdg-source
@@ -295,6 +295,15 @@ case $PACKAGE in
         ;;
     esac
     ;;
+  pgbouncer)
+    case ${distribution:-} in
+      bookworm|bullseye|noble|jammy|focal)
+        sed -e '/python3-filelock/a \ python3-contextlib2,' -e '/tzdata-legacy/d' debian/control
+        TWEAK+=("Remove tzdata-legacy dependency")
+        TWEAK+=("Add python3-contextlib2 dependency")
+        ;;
+    esac
+    ;;
 esac
 
 # remove artifacts from last build (-r because sometimes uscan leaves temp directories behind)
-- 
2.48.1

